Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 620248 - Sound problems with Intel HDA ICH8 (snd_hda_intel codec ALC286)
Sound problems with Intel HDA ICH8 (snd_hda_intel codec ALC286)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-01 14:37 EDT by Miguel Angel Perez
Modified: 2010-12-09 04:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-09 04:06:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of pulseaudio -vvvvv (178.97 KB, text/plain)
2010-08-01 14:38 EDT, Miguel Angel Perez
no flags Details
More output of pulseaudio -vvvvv (302.17 KB, text/plain)
2010-08-01 14:40 EDT, Miguel Angel Perez
no flags Details
Console output of aplay without pulseaudio (595 bytes, text/plain)
2010-08-01 14:41 EDT, Miguel Angel Perez
no flags Details
Console output of aplay with pulseaudio enabled (1.30 KB, text/plain)
2010-08-01 14:42 EDT, Miguel Angel Perez
no flags Details
alsa-info output (20.99 KB, text/plain)
2010-08-01 14:45 EDT, Miguel Angel Perez
no flags Details
Output of lsmod | grep snd_ (90 bytes, text/plain)
2010-08-01 14:47 EDT, Miguel Angel Perez
no flags Details
Output of aplay -L (801 bytes, text/plain)
2010-08-01 14:47 EDT, Miguel Angel Perez
no flags Details

  None (edit)
Description Miguel Angel Perez 2010-08-01 14:37:59 EDT
Description of problem:

With fedora 12 sound worked fine, but afer doing a clean installation of fedora 13 the sound seems to randomly stop for a few milliseconds and then the sound continues, some times there are some "clicks" and a small part of the skipped sound is played at the same time it plays the next part. I've been following instrucctions found in https://fedoraproject.org/wiki/How_to_debug_PulseAudio_problems but nothing seems to work for me.

This behaviour seems to be a bit fuzzy as some days I can use sound as I always did with fedora 12 but other days I cannot use any app that outputs sound, as each time the sound stops the application seems to freeze, so any of those apps are unusable for me (flash-based apps, music players, video players, etc).

I've tried to check if this is a sound driver problem listing devices with aplay -L and using front instead of Default and it seemed it was.

Version-Release number of selected component (if applicable):

"uname -a" output:
   Linux hyperion.lan 2.6.33.6-147.fc13.i686.PAE #1 SMP Tue Jul 6 22:24:44 UTC 2010 i686 i686 i386 GNU/Linux

This is an up-to-date fedora 13 setup.

How reproducible:


Steps to Reproduce:
1. You need my laptop
2. Use an app that produces some kind of sound output
3. Listen to sound stopping and getting back all the time (irregular timming).
  
Actual results:
I can't listen sound properly. Even some apps hangs while playing sound under too much stop-continue weirdness.

Expected results:
I can listen music, whatch videos in youtube and play games without sluggish sound.

Additional info:

I've collected as much information as I can.

The output of "lspci | grep -i audio" is:
   00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

The output of "cat /etc/proc/asound/pcm" is:
  00-00: ALC268 Analog : ALC268 Analog : playback 1 : capture 1
  00-06: Si3054 Modem : Si3054 Modem : playback 1 : capture 1

I've also got some output of pulseaudio -vvvvv and aplay that shows a lot of underruns. These along with alsainfo output are added as attachements.
Comment 1 Miguel Angel Perez 2010-08-01 14:38:44 EDT
Created attachment 435901 [details]
output of pulseaudio -vvvvv
Comment 2 Miguel Angel Perez 2010-08-01 14:40:10 EDT
Created attachment 435902 [details]
More output of pulseaudio -vvvvv
Comment 3 Miguel Angel Perez 2010-08-01 14:41:00 EDT
Created attachment 435903 [details]
Console output of aplay without pulseaudio
Comment 4 Miguel Angel Perez 2010-08-01 14:42:18 EDT
Created attachment 435904 [details]
Console output of aplay with pulseaudio enabled
Comment 5 Miguel Angel Perez 2010-08-01 14:45:16 EDT
Created attachment 435905 [details]
alsa-info output
Comment 6 Miguel Angel Perez 2010-08-01 14:47:10 EDT
Created attachment 435906 [details]
Output of lsmod | grep snd_
Comment 7 Miguel Angel Perez 2010-08-01 14:47:57 EDT
Created attachment 435907 [details]
Output of aplay -L
Comment 8 Miguel Angel Perez 2010-08-04 06:45:38 EDT
Latest kernel update doesn't solve it.

current "uname -a" output:

  Linux hyperion.lan 2.6.33.6-147.2.4.fc13.i686.PAE #1 SMP Fri Jul 23 17:21:06 UTC 2010 i686 i686 i386 GNU/Linux
Comment 9 Miguel Angel Perez 2010-09-01 05:17:55 EDT
Latest kernel update (2.6.34.6-47) doesn't solve it. Any app with sound is almost unusable.
Comment 10 Miguel Angel Perez 2010-10-30 04:52:00 EDT
Hello. I'm still here with this issue with latest kernel update 2.6.34.7-61 (PAE).

But I've found one interesting thing. When the sound gets crazy if I start up a process that will try to use 100% cpu (my laptom is a dual core cpu) the sound starts to work as spected.

This makes me think that I might be wrong about the alsa driver being guilty of this nuissance. But I tried common pulseaudio troubleshotting instructions and nothing seemed to work, so now I'm not sure of what to do next.
Comment 11 Miguel Angel Perez 2010-12-09 04:07:48 EST
I've closed it as with Fedora 14 things seems to work a bit better (sound is almost usable but with glitches) and I'm not sure if this is a driver or pulseaudio thing.

Note You need to log in before you can comment on or make changes to this bug.